<?php

require_once dirname(__DIR__) . '/environment.php';

//En entorno de desarrollo que nos muestre el error directamente, en cualquier otro entorno sacamos una página amigable
if (ENVIRONMENT == 'development') {
    echo var_export($error, true);
} else {
    if (!isset($_SESSION['fatal'])) {
        require_once dirname(__DIR__) . '/templates/error.php';
    }
}
?>

<?php //Si esta cargando la página con un error 500 y se ha quedado a mitad de la carga, forzamos que recargue la página para asegurarnos de que pinta el header y el footer completamente. ?>
<script type="text/javascript">
	document.addEventListener("DOMContentLoaded", function(event){
		<?php if (isset($_SESSION['fatal'])): ?>
			location.reload();
		<?php endif;?>
	});
</script>